﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{575FC998-4C36-40D3-BADA-1DBFB7C6A597}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>HWDcMotorController</RootNamespace>
    <AssemblyName>HWDcMotorController</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\_Exe\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="CCommand.cs" />
    <Compile Include="CCommandlist.cs" />
    <Compile Include="CClearLed.cs" />
    <Compile Include="CHardwareDevice.cs" />
    <Compile Include="CGetDelayChannelB.cs" />
    <Compile Include="CGetLed.cs" />
    <Compile Include="CGetDelayChannelA.cs" />
    <Compile Include="CGetSweepParameterChannelA.cs" />
    <Compile Include="CGetSweepParameterChannelB.cs" />
    <Compile Include="CGetSweepStateChannelA.cs" />
    <Compile Include="CGetSweepStateChannelB.cs" />
    <Compile Include="CStringList.cs" />
    <Compile Include="CSetDelayChannelA.cs" />
    <Compile Include="CSetDelayChannelB.cs" />
    <Compile Include="CSetLed.cs" />
    <Compile Include="CEvent.cs" />
    <Compile Include="CGetHardwareVersion.cs" />
    <Compile Include="CGetHelp.cs" />
    <Compile Include="CGetSoftwareVersion.cs" />
    <Compile Include="CHWDcMotorController.cs" />
    <Compile Include="CHWDcMotorControllerBase.cs" />
    <Compile Include="CSetSweepParameterChannelA.cs" />
    <Compile Include="CSetSweepParameterChannelB.cs" />
    <Compile Include="CSetSweepStateChannelA.cs" />
    <Compile Include="CSetSweepStateChannelB.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Interface\ComPort\ComPort.csproj">
      <Project>{91357433-DDB9-4801-880D-6CBCCEA8A030}</Project>
      <Name>ComPort</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Basic\Initdata\Initdata.csproj">
      <Project>{3E4EF806-BD52-4B04-8AEE-9EDC9B1304AB}</Project>
      <Name>Initdata</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Basic\UCNotifier\UCNotifier.csproj">
      <Project>{F42BC6C4-A1A7-4473-96E1-6CE9ABDB4165}</Project>
      <Name>UCNotifier</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>